# VacationSettings

- [JSON representation](https://developers.google.com/workspace/gmail/api/reference/rest/v1/VacationSettings#SCHEMA_REPRESENTATION)

Vacation auto-reply settings for an account. These settings correspond to the ["Vacation responder"](https://support.google.com/mail/answer/25922) feature in the web interface.

| JSON representation |
|---|
| ``` { "enableAutoReply": boolean, "responseSubject": string, "responseBodyPlainText": string, "responseBodyHtml": string, "restrictToContacts": boolean, "restrictToDomain": boolean, "startTime": string, "endTime": string } ``` |

| Fields ||
|---|---|
| `enableAutoReply` | `boolean` Flag that controls whether Gmail automatically replies to messages. |
| `responseSubject` | `string` Optional text to prepend to the subject line in vacation responses. In order to enable auto-replies, either the response subject or the response body must be nonempty. |
| `responseBodyPlainText` | `string` Response body in plain text format. If both `responseBodyPlainText` and `responseBodyHtml` are specified, `responseBodyHtml` will be used. |
| `responseBodyHtml` | `string` Response body in HTML format. Gmail will sanitize the HTML before storing it. If both `responseBodyPlainText` and `responseBodyHtml` are specified, `responseBodyHtml` will be used. |
| `restrictToContacts` | `boolean` Flag that determines whether responses are sent to recipients who are not in the user's list of contacts. |
| `restrictToDomain` | `boolean` Flag that determines whether responses are sent to recipients who are outside of the user's domain. This feature is only available for Google Workspace users. |
| `startTime` | `string (https://developers.google.com/discovery/v1/type-format format)` An optional start time for sending auto-replies (epoch ms). When this is specified, Gmail will automatically reply only to messages that it receives after the start time. If both `startTime` and `endTime` are specified, `startTime` must precede `endTime`. |
| `endTime` | `string (https://developers.google.com/discovery/v1/type-format format)` An optional end time for sending auto-replies (epoch ms). When this is specified, Gmail will automatically reply only to messages that it receives before the end time. If both `startTime` and `endTime` are specified, `startTime` must precede `endTime`. |